﻿Imports Gartle.Rtd

''' <summary>
''' Processes RealTimeToDB row data before saving to a database.
''' </summary>
''' <remarks></remarks>
Public Class DataProcessor
    Implements IRDDataProcessor

    ''' <summary>
    ''' The method is called when the application has been started.
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub AppStart() Implements IRDDataProcessor.AppStart

    End Sub

    ''' <summary>
    ''' The method is called when the application is being closed.
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub AppStop() Implements IRDDataProcessor.AppStop

    End Sub

    ''' <summary>
    ''' The method is called before the row data are saved to a database.
    ''' </summary>
    ''' <param name="data">Row data.</param>
    ''' <returns>True to save the data into a database; false to continue without saving.</returns>
    ''' <remarks></remarks>
    Public Function ProcessRow(ByVal data As IRDDataRow) As Boolean Implements IRDDataProcessor.ProcessRow

        Return True

    End Function

End Class
