-- Use this script to replace Thinkorswim RTD formulas to DDE ones.

-- For example, this helps when Thinkorswim crushes with the "pure virtual function call".

-- Options

UPDATE real_time_formulas SET rtd_formula = '=TOS|ASK!''[code]'''                               WHERE rtd_formula = '=RTD("tos.rtd",,"ASK",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|ASK_SIZE!''[code]'''                          WHERE rtd_formula = '=RTD("tos.rtd",,"ASK_SIZE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|AX!''[code]'''                                WHERE rtd_formula = '=RTD("tos.rtd",,"AX",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BA_SIZE!''[code]'''                           WHERE rtd_formula = '=RTD("tos.rtd",,"BA_SIZE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BID!''[code]'''                               WHERE rtd_formula = '=RTD("tos.rtd",,"BID",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BID_SIZE!''[code]'''                          WHERE rtd_formula = '=RTD("tos.rtd",,"BID_SIZE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BX!''[code]'''                                WHERE rtd_formula = '=RTD("tos.rtd",,"BX",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|Close!''[code]'''                             WHERE rtd_formula = '=RTD("tos.rtd",,"CLOSE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|COVERED_RETURN!''[code]'''                    WHERE rtd_formula = '=RTD("tos.rtd",,"COVERED_RETURN",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|DELTA!''[code]'''                             WHERE rtd_formula = '=RTD("tos.rtd",,"DELTA",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|DESCRIPTION!''[code]'''                       WHERE rtd_formula = '=RTD("tos.rtd",,"DESCRIPTION",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|EXTRINSIC!''[code]'''                         WHERE rtd_formula = '=RTD("tos.rtd",,"EXTRINSIC",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|GAMMA!''[code]'''                             WHERE rtd_formula = '=RTD("tos.rtd",,"GAMMA",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|HIGH!''[code]'''                              WHERE rtd_formula = '=RTD("tos.rtd",,"HIGH",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|IMPL_VOL!''[code]'''                          WHERE rtd_formula = '=RTD("tos.rtd",,"IMPL_VOL",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|INTRINSIC!''[code]'''                         WHERE rtd_formula = '=RTD("tos.rtd",,"INTRINSIC",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LAST!''[code]'''                              WHERE rtd_formula = '=RTD("tos.rtd",,"LAST",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LAST_SIZE!''[code]'''                         WHERE rtd_formula = '=RTD("tos.rtd",,"LAST_SIZE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LOW!''[code]'''                               WHERE rtd_formula = '=RTD("tos.rtd",,"LOW",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LX!''[code]'''                                WHERE rtd_formula = '=RTD("tos.rtd",,"LX",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK!''[code]'''                              WHERE rtd_formula = '=RTD("tos.rtd",,"MARK",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK_CHANGE!''[code]'''                       WHERE rtd_formula = '=RTD("tos.rtd",,"MARK_CHANGE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK_PERCENT_CHANGE!''[code]'''               WHERE rtd_formula = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MAX_COVERED_RETURN!''[code]'''                WHERE rtd_formula = '=RTD("tos.rtd",,"MAX_COVERED_RETURN",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|NET_CHANGE!''[code]'''                        WHERE rtd_formula = '=RTD("tos.rtd",,"NET_CHANGE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|OPEN!''[code]'''                              WHERE rtd_formula = '=RTD("tos.rtd",,"OPEN",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|OPEN_INT!''[code]'''                          WHERE rtd_formula = '=RTD("tos.rtd",,"OPEN_INT",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PERCENT_CHANGE!''[code]'''                    WHERE rtd_formula = '=RTD("tos.rtd",,"PERCENT_CHANGE",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PROB_OF_EXPIRING!''[code]'''                  WHERE rtd_formula = '=RTD("tos.rtd",,"PROB_OF_EXPIRING",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PROB_OF_TOUCHING!''[code]'''                  WHERE rtd_formula = '=RTD("tos.rtd",,"PROB_OF_TOUCHING",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PROB_OTM!''[code]'''                          WHERE rtd_formula = '=RTD("tos.rtd",,"PROB_OTM",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|RHO!''[code]'''                               WHERE rtd_formula = '=RTD("tos.rtd",,"RHO",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|THETA!''[code]'''                             WHERE rtd_formula = '=RTD("tos.rtd",,"THETA",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|VEGA!''[code]'''                              WHERE rtd_formula = '=RTD("tos.rtd",,"VEGA",[code])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|VOLUME!''[code]'''                            WHERE rtd_formula = '=RTD("tos.rtd",,"VOLUME",[code])';

-- Stocks

UPDATE real_time_formulas SET rtd_formula = '=TOS|''52HIGH''![symbol]'                          WHERE rtd_formula = '=RTD("tos.rtd",,"52HIGH",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|''52LOW''![symbol]'                           WHERE rtd_formula = '=RTD("tos.rtd",,"52LOW",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|ASK![symbol]'                                 WHERE rtd_formula = '=RTD("tos.rtd",,"ASK",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|ASK_SIZE![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"ASK_SIZE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|AX![symbol]'                                  WHERE rtd_formula = '=RTD("tos.rtd",,"AX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BA_SIZE![symbol]'                             WHERE rtd_formula = '=RTD("tos.rtd",,"BA_SIZE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BACK_EX_MOVE![symbol]'                        WHERE rtd_formula = '=RTD("tos.rtd",,"BACK_EX_MOVE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BACK_VOL![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"BACK_VOL",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BETA![symbol]'                                WHERE rtd_formula = '=RTD("tos.rtd",,"BETA",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BID![symbol]'                                 WHERE rtd_formula = '=RTD("tos.rtd",,"BID",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BID_SIZE![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"BID_SIZE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|BX![symbol]'                                  WHERE rtd_formula = '=RTD("tos.rtd",,"BX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|CALL_VOLUME_INDEX![symbol]'                   WHERE rtd_formula = '=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|CLOSE![symbol]'                               WHERE rtd_formula = '=RTD("tos.rtd",,"CLOSE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|DESCRIPTION![symbol]'                         WHERE rtd_formula = '=RTD("tos.rtd",,"DESCRIPTION",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|DIV![symbol]'                                 WHERE rtd_formula = '=RTD("tos.rtd",,"DIV",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|EPS![symbol]'                                 WHERE rtd_formula = '=RTD("tos.rtd",,"EPS",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|EX_MOVE_DIFF![symbol]'                        WHERE rtd_formula = '=RTD("tos.rtd",,"EX_MOVE_DIFF",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|FRONT_EX_MOVE![symbol]'                       WHERE rtd_formula = '=RTD("tos.rtd",,"FRONT_EX_MOVE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|FRONT_VOL![symbol]'                           WHERE rtd_formula = '=RTD("tos.rtd",,"FRONT_VOL",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|HIGH![symbol]'                                WHERE rtd_formula = '=RTD("tos.rtd",,"HIGH",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|IMPL_VOL![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"IMPL_VOL",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LAST![symbol]'                                WHERE rtd_formula = '=RTD("tos.rtd",,"LAST",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LAST_SIZE![symbol]'                           WHERE rtd_formula = '=RTD("tos.rtd",,"LAST_SIZE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LOW![symbol]'                                 WHERE rtd_formula = '=RTD("tos.rtd",,"LOW",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|LX![symbol]'                                  WHERE rtd_formula = '=RTD("tos.rtd",,"LX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK![symbol]'                                WHERE rtd_formula = '=RTD("tos.rtd",,"MARK",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK_CHANGE![symbol]'                         WHERE rtd_formula = '=RTD("tos.rtd",,"MARK_CHANGE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARK_PERCENT_CHANGE![symbol]'                 WHERE rtd_formula = '=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|MARKET_CAP![symbol]'                          WHERE rtd_formula = '=RTD("tos.rtd",,"MARKET_CAP",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|NET_CHANGE![symbol]'                          WHERE rtd_formula = '=RTD("tos.rtd",,"NET_CHANGE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|OPEN![symbol]'                                WHERE rtd_formula = '=RTD("tos.rtd",,"OPEN",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|OPEN_INT![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"OPEN_INT",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|OPTION_VOLUME_INDEX![symbol]'                 WHERE rtd_formula = '=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PE![symbol]'                                  WHERE rtd_formula = '=RTD("tos.rtd",,"PE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PERCENT_CHANGE![symbol]'                      WHERE rtd_formula = '=RTD("tos.rtd",,"PERCENT_CHANGE",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PUT_CALL_RATIO![symbol]'                      WHERE rtd_formula = '=RTD("tos.rtd",,"PUT_CALL_RATIO",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|PUT_VOLUME_INDEX![symbol]'                    WHERE rtd_formula = '=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|SHARES![symbol]'                              WHERE rtd_formula = '=RTD("tos.rtd",,"SHARES",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|STRENGTH_METER![symbol]'                      WHERE rtd_formula = '=RTD("tos.rtd",,"STRENGTH_METER",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|VOL_DIFF![symbol]'                            WHERE rtd_formula = '=RTD("tos.rtd",,"VOL_DIFF",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|VOL_INDEX![symbol]'                           WHERE rtd_formula = '=RTD("tos.rtd",,"VOL_INDEX",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|VOLUME![symbol]'                              WHERE rtd_formula = '=RTD("tos.rtd",,"VOLUME",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|WEIGHTED_BACK_VOL![symbol]'                   WHERE rtd_formula = '=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[symbol])';
UPDATE real_time_formulas SET rtd_formula = '=TOS|YIELD![symbol]'                               WHERE rtd_formula = '=RTD("tos.rtd",,"YIELD",[symbol])';
